DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# MeasurementFeatureRegistryList

Obtain a list of the registered measurement features

## SYNOPSIS

`#include "dip_measurement.h"`

dip_Error dip_MeasurementFeatureRegistryList ( featureID, resources )

## FUNCTION

This functions obtains an array of registered measurement feature IDs.

## ARGUMENTS

Data type | Name | Description
`dip_IntegerArray *` | `featureID` | Pointer to an array of measurement feature IDs
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

`Measure`, `MeasurementFeatureRegister`, `MeasurementFeatureRegistryGet`, `MeasurementFeatureRegistryFeatureDescription`, `MeasurementFeatureRegistryFeatureNeedsIntensityImage`, `MeasurementFeatureValid`, `MeasurementFeatureDescription`, `MeasurementObjectData`, `MeasurementObjectValue`